# TODO: apache (and other webservers?) configuration for prewikka WSGI
Summary:	Prelude IDS web application
Summary(pl.UTF-8):	Aplikacja WWW dla Prelude IDS
Name:		prewikka
Version:	5.1.1
Release:	1
License:	GPL v2+
Group:		Applications/Networking
#Source0Download: https://www.prelude-siem.org/projects/prelude/files
Source0:	https://www.prelude-siem.org/attachments/download/1182/%{name}-%{version}.tar.gz
# Source0-md5:	aa5f3621ec027211f8e4bb4474821562
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-localedir.patch
Patch1:		%{name}-install.patch
Patch2:		locale.patch
URL:		https://www.prelude-siem.org/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-lesscpy
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-Mako
Requires:	python-PyYAML
Requires:	python-babel
Requires:	python-libprelude >= 5.1.0
Requires:	python-libpreludedb >= 5.1.0
Requires:	python-modules >= 1:2.6
Requires:	python-pytz
Requires:	python-werkzeug
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Prewikka is a professional looking application providing advanced
feature like contextual filtering, aggregation, etc.

%description -l pl.UTF-8
Prewikka to profesjonalnie wyglądająca aplikacja dająca zaawansowane
możliwości, takie jak filtrowanie kontekstowe, agregację itp.

%package httpd
Summary:	Standalone Prewikka HTTP server
Summary(pl.UTF-8):	Samodzielny serwer HTTP dla Prewikki
Group:		Daemons
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires:	rc-scripts
Provides:	group(http)
Provides:	user(http)
Requires:	%{name} = %{version}-%{release}

%description httpd
Standalone Prewikka HTTP server. Allows to run Prewikka on user
available port (>= 1024, 8000 by default).

%description httpd -l pl.UTF-8
Samodzielny serwer HTTP dla Prewikki. Pozwala na uruchomienie Prewikki
na porcie dostępnym dla użytkownika (>= 1024, domyślnie 8000).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install conf/prewikka.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d $RPM_BUILD_ROOT%{_datadir}
%{__mv} $RPM_BUILD_ROOT%{py_sitescriptdir}/prewikka/locale $RPM_BUILD_ROOT%{_datadir}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre httpd
%groupadd -g 51 http
%useradd -u 51 -r -d /home/services/httpd -s /bin/false -c "HTTP User" -g http http

%post httpd
/sbin/chkconfig --add prewikka
if [ "$1" = "1" ]; then
%banner -e %{name} <<EOF

Create new database and database user for Prewikka (or update an existing
one if needed) and configure Prewikka. For reference visit:
https://www.prelude-siem.org/projects/prelude/wiki/InstallingPreludePrewikka

To connect to console point Your browser to:
http://`hostname`:8000/
REMEMBER to change password for admin (default: admin)

EOF
fi
%service prewikka restart "Prewikka"

%preun httpd
if [ "$1" = "0" ]; then
	%service prewikka stop
	/sbin/chkconfig --del prewikka
fi

%postun httpd
if [ "$1" = "0" ]; then
	%userremove http
	%groupremove http
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING.* NEWS README
%attr(755,root,root) %{_bindir}/prewikka-cli
%attr(755,root,root) %{_bindir}/prewikka-crontab
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/prewikka.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/menu.yml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/prewikka.wsgi
%{py_sitescriptdir}/prewikka
%{py_sitescriptdir}/prewikka-%{version}-py*.egg-info
%attr(770,root,http) %dir /var/lib/prewikka

%files httpd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/prewikka-httpd
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%changelog
* Mon Jun 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/prewikka.git;a=log;h=master

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 5a0ca72
- up to 5.1.1

* Thu Aug 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 9e12854
- update to 4.1.5
- updated localedir,install patches

* Sun Oct 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 305407a
- updated to 3.1.0
- added localedir patch, install locale files in system locale dir
- added install patch (fixes install with prefix=/usr or build-base)
- adjusted init script to use http user for prewikka-httpd, separated it to -httpd subpackage

* Fri Aug 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 191a32e
- reverted bogus BR
- versioned libprelude* deps
- more specific Group

* Wed Aug 03 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 53612c4
- updated to 1.0.0

* Thu Jul 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 65fc015
- updated to 0.9.14
- updated URLs
- use __python macro

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 0edb947
- updated to 0.9.13
- unified init script

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> db876d7
- unified formating, added try-restart

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a131207
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ac06ee9
- converted to UTF-8

* Fri Feb 09 2007 alucard <alucard@pld-linux.org> 9ed423b
- up to 0.9.9

* Sat Jan 06 2007 Elan Ruusamäe <glen@pld-linux.org> d1452c6
- unify

* Sat Jan 06 2007 Elan Ruusamäe <glen@pld-linux.org> 54bcf12
- indent

* Sat Jan 06 2007 Elan Ruusamäe <glen@pld-linux.org> b38bb38
- pldize, unify, use functions

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 69c516d
- new from Tomasz Rutkowski

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 93287c7
- up 0.9.8 from Tomasz Rutkowski

* Tue May 16 2006 mguevara <mguevara@pld-linux.org> a7646fe
- 0.9.5-0.1

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> d05a2ac
- simplified setup

* Fri Apr 14 2006 mguevara <mguevara@pld-linux.org> f991dd1
- 0.9.4-0.1

* Thu Apr 13 2006 mguevara <mguevara@pld-linux.org> 759bbc1
- 0.9.3 rel 0.2 - added reqs

